Subject: bug#54889: closed (Re: bug#54889: 29.0.50; shift keys can't function when using setxkbmap with custom_symbol in gnome)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Apr 2022 04:29:02 +0000

Your bug report

#54889: 29.0.50; shift keys can't function when using setxkbmap with custom_symbol in gnome

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54889: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54889
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54889: 29.0.50; shift keys can't function when using setxkbmap with custom_symbol in gnome
From: Po Lu <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 15 Apr 2022 12:28:05 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] writes:

> I serched my map and found no config part  had Hyper for virtualModifier ,
> but i found Hyper_R config in symbols  <RTSH>  in group 2,
> after changed to Shift_R,
> i can inser capital letter in emacs 29.
> old:   key <RTSH> {  [         Shift_R, Shift_R, U2E9D] ,[ Hyper_R ] };
> new:   key <RTSH> {  [         Shift_R, Shift_R, U2E9D] ,[ Shift_R ] };
>
> I don't know why cause that,
> since that is not belong parts of emacs,
> I feel so sorry any where for this report let you be troubled.

No problems here, glad I could be of assistance.  I'm closing this bug.

Subject: 29.0.50; shift keys can't function when using setxkbmap with custom_symbol in gnome
From: [email-masked]
To: [email-masked]
Date: Tue, 12 Apr 2022 15:10:26 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
first, thanks for solved ibus input problem last time .

now, I am struggling to config hot key in normal pc104 layout keyboard for
too few key can be set.
and tried to use xkb to set extra key level, and work fine in privious
emacs v27, 28.

because i can't made Caps_Lock to remap to control key working with
'setxkbmap' ,
so first, using cmd to change RWIN and MENU key in gnome:
  gsettings set org.gnome.desktop.input-sources sources "[('xkb', 'us'),
('ibus', 'rime')]"
  gsettings set org.gnome.desktop.input-sources xkb-options
"['caps:ctrl_modifier', 'lv3:rwin_switch', 'compose:menu-altgr']"

second, using setxkbmap to chang symbols:
 setxkbmap -model pc104 -layout us -keycodes mykeycode -types mytype
-compat mycompat -symbols mysymbol
(all files in each dirs under /usr/share/X11/xkb)

all keys work normally,
my extra key level and group are working fine,
but Shift_L, Shift_R are no function when i using  emacs -q in v29 .
i saw `H-_   is indefined` in minibuffer but no any letter inserted when i
tried to input any capital letter .

finally, i found it can input capital letter, if i removed modifier_map of
shift keys:
in xkb_symbols file:
    // modifier_map Shift { <LFSH> };
    // modifier_map Shift { <RTSH> };
   //  modifier_map Shift { Shift_L, Shift_R };

my xkb files in here:

https://drive.google.com/file/d/19_tcP8VSeUYgG9f4zkGEbavbaBOwOLso/view?usp=sharing

and using cmd:
setxkbmap -model pc104 -layout us -symbols mysymbol
or
xkbcomp .config/xkb/myxkb_keymap.xkb $DISPLAY

now, emacs v29 shift key plus any letter can be inputed capital letter.

because the same xkb keymap is woring normally in emacs 27, 28,
so i am wonder if there is any difference in mechanisms of keymap in emacs
v29?

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33,
cairo version 1.17.6)
of 2022-04-07 built on lpc
Repository revision: c1a6aa0c3eb1029e3f7f5c3b227d7952bee775b8
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12201000
System Description: Arch Linux

Configured using:
'configure --with-mailutils'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
WEBP X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
value of $LC_MONETARY: zh_TW.UTF-8
value of $LC_NUMERIC: zh_TW.UTF-8
value of $LC_TIME: zh_TW.UTF-8
value of $LANG: en_US.UTF-8
value of $XMODIFIERS: @im=ibus
locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
tooltip-mode: t
global-eldoc-mode: t
eldoc-mode: t
show-paren-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
line-number-mode: t
indent-tabs-mode: t
transient-mark-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media rmc puny
        dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived
epg
        rfc6068 epg-config gnus-util text-property-search time-date seq gv
        subr-x byte-opt bytecomp byte-compile cconv mm-decode mm-bodies
        mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader
cl-loaddefs
        cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils
        iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
        lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win
x-dnd
        tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
        newcomment text-mode lisp-mode prog-mode register page tab-bar
menu-bar
        rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
        font-lock syntax font-core term/tty-colors frame minibuffer nadvice
        simple cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan
        thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian
        slovak czech european ethiopic indian cyrillic chinese composite
        emoji-zwj charscript charprop case-table epa-hook jka-cmpr-hook help
        abbrev obarray oclosure cl-preloaded button loaddefs faces cus-face
        macroexp files window text-properties overlay sha1 md5 base64
format env
        code-pages mule custom widget keymap hashtable-print-readable
backquote
        threads dbusbind inotify lcms2 dynamic-setting system-font-setting
        font-render-setting cairo move-toolbar gtk x-toolkit x multi-tty
        make-network-process emacs)

Memory information:
((conses 16 45904 8943)
 (symbols 48 5711 1)
 (strings 32 15920 1719)
 (string-bytes 1 512729)
 (vectors 16 11313)
 (vector-slots 8 163309 13969)
 (floats 8 21 33)
 (intervals 56 373 4)
 (buffers 992 12))